Botan 2.1.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces | Functions
key_filt.h File Reference
`#include <botan/filter.h>`
`#include <botan/cipher_mode.h>`
`#include <botan/sym_algo.h>`

Go to the source code of this file.

## Classes
class | Botan::Keyed_Filter

## Namespaces
| Botan

## Functions
Keyed_Filter * | Botan::get_cipher (const std::string &algo_spec, Cipher_Dir direction)
Keyed_Filter * | Botan::get_cipher (const std::string &algo_spec, const SymmetricKey &key, const InitializationVector &iv, Cipher_Dir direction)
Keyed_Filter * | Botan::get_cipher (const std::string &algo_spec, const SymmetricKey &key, Cipher_Dir direction)